import {connect} from 'react-redux';
import LogPage from '../../components/AdminPage/Log';
import {get_log_list, clear_log} from '../../actions';

const mapStateToProps = (state) => ({
	i18n: state.i18n,
	list: state.lists.log.list || [],
	page: state.lists.log.page || []
});

const mapDispatchToProps = (dispatch, ownProps) => ({
	getList: (p = 1) => {
		dispatch(get_log_list(p));
	},
	clearList: () => {
		dispatch(clear_log());
	}
})

export default connect(mapStateToProps, mapDispatchToProps)(LogPage);